package easik.sketch.util.graph;

import org.jgraph.graph.DefaultGraphCell;

/**
 * This class represents a cell that will be represented as a entity in the JGraph graph.
 * 
 * @author William Belanger 2006
 * @author Kevin Green 2006
 * @since 2006-07-25 Kevin Green
 * @version 2006-07-25 Kevin Green
 */
public class EntityCell extends DefaultGraphCell {
	/**
	 * Default constructor, uses <code>null</code> as the data object.
	 */
	public EntityCell(){
		this(null);
	}
	/**
	 * Creates a graph cell and initializes it with the specified user object.
	 * @param o An Object provided by the user that constitutes the cell's data.
	 */
	public EntityCell(Object o){
		super(o);
	}
}
